org.wso2.carbon.device.mgt.mobile.windows.api.services.enrollment.impl

## Class EnrollmentServiceImpl

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.enrollment.impl.EnrollmentServiceImpl

- All Implemented Interfaces:
    EnrollmentService

      @Addressing(enabled=true,
                  required=true)
      @BindingType(value="http://www.w3.org/2003/05/soap/bindings/HTTP/")
      public class EnrollmentServiceImpl
      extends Object
      implements EnrollmentService

  Implementation class of Windows10 Enrollment process.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnrollmentServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `requestSecurityToken(String tokenType, String requestType, String binarySecurityToken, AdditionalContext additionalContext, Holder<RequestSecurityTokenResponse> response)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnrollmentServiceImpl

          public EnrollmentServiceImpl()

  - ### Method Detail

    - #### requestSecurityToken

          public void requestSecurityToken(String tokenType,
                                  String requestType,
                                  String binarySecurityToken,
                                  AdditionalContext additionalContext,
                                  Holder<RequestSecurityTokenResponse> response)
                                    throws WindowsDeviceEnrolmentException,
                                           UnsupportedEncodingException,
                                           WAPProvisioningException

      Specified by:
        `requestSecurityToken` in interface `EnrollmentService`
      Throws:
        `WindowsDeviceEnrolmentException`
        `UnsupportedEncodingException`
        `WAPProvisioningException`

Copyright © 2017 WSO2. All rights reserved.